[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] PATCH Fix BuildRequires in spec file



The problem seems to be that when you build libvirt without e2fsprogs-devel installed, then ./configure for libvirt will detect with_storage_disk=no

Once that happens libvirt will not create the libvirt_parthelper program.

Not sure how this can be fixed then.

Thanks,
Trent


Daniel P. Berrange wrote:
On Fri, May 29, 2009 at 10:07:14AM -0500, Trent Johnson wrote:
Fixes error from rpmbuild

RPM build errors:
File not found: /var/tmp/libvirt-0.6.3-1.el5-root/usr/libexec/libvirt_parthelper

NACk this program does not use e2fsprogs. It only uses parted. If you have a build problem without e2fsprogs installed, then the bug is in parted's RPM not libvirt's. I expect parted-devel, needs a dependancy
on e2fsprogs-devel.


diff -u -r  libvirt.spec.orig libvirt.spec
--- libvirt.spec.orig       2009-04-24 08:58:29.000000000 -0500
+++ libvirt.spec        2009-05-29 09:57:56.000000000 -0500
@@ -59,7 +59,7 @@
 Source: libvirt-%{version}.tar.gz
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 URL: http://libvirt.org/
-BuildRequires: python python-devel
+BuildRequires: python python-devel e2fsprogs-devel
 Requires: libxml2
 Requires: readline
 Requires: ncurses



Daniel


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]